Skip to main content
PATCH
Update a cash order authorization

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

id
string<uuid>
required

Cashier Authorization ID

Body

application/json

Properties of the Cashier order authorization to update.

Request body to patch a cash order authorization

authorization_type
enum<string>
required
Available options:
CASH_ORDER,
DEPOSIT
account_number
string

The account number of the client business the cash order is for. Known as "Location ID" in the cash order CSV files.

client_name
string

The name of the client business the cash order is for.

Example:

"Cash-Based Brick and Mortar Store"

order_date
string<date>

The date the cash order was placed with Empyreal

status
enum<string>
Available options:
CANCELLED

Response

The updated Cashier transfer.

amount
integer<int64>
required

Transfer amount in cents

Required range: x >= 1
Example:

10000

authorization_type
enum<string>
required
Available options:
CASH_ORDER,
DEPOSIT
destination_account_id
string<uuid>
required

The UUID of the Synctera account resource that is the destination of the transfer.

Example:

"fccb4a46-1261-4e91-b622-73b5b946183d"

order_date
string<date>
required

The date the cash order was placed with cash distribution provider

account_number
string
required

The account number of the client business the cash order is for. Known as "Location ID" in the cash order CSV files.

client_name
string
required

The name of the client business the cash order is for.

Example:

"Cash-Based Brick and Mortar Store"

hold_id
string<uuid>
required

ID of the hold created for this authorization

id
string<uuid>
required

ID of the transfer

originating_account_id
string<uuid>
required

The UUID of the Synctera account resource originating the transfer.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

status
enum<string>
required
Available options:
CANCELLED,
PENDING,
COMPLETE,
EXPIRED
tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"